php-horde-editor_2.0.4+debian0-8_all.deb


Advertisement

Description

php-horde-editor - Horde Editor API

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename php-horde-editor_2.0.4+debian0-8_all.deb
Package name php-horde-editor
Package version 2.0.4+debian0
Package release 8
Package architecture all
Package type deb
Category universe/php
Homepage http://www.horde.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 20.66 KB
Installed size 57.00 KB
The Horde_Editor package provides an API to generate the code necessary for
embedding javascript RTE editors in a web page.
This package is part of Horde, a web application Framework written in PHP with
modules like IMP (webmail), Turba (contacts), Kronolith (calendar), Nag (task
list), Gollem (file manager), etc.

Alternatives

Package Version Architecture Repository
php-horde-editor_2.0.4+debian0-8_all.deb 2.0.4+debian0 all Ubuntu Universe
php-horde-editor - - -

Requires

Name Value
ckeditor3 -
dpkg >= 1.17.5
php-common -
php-horde-browser << 3.0.0~alpha1
php-horde-browser >= 2.0.0
php-horde-exception << 3.0.0~alpha1
php-horde-exception >= 2.0.0
php-horde-serialize << 3.0.0~alpha1
php-horde-serialize >= 2.0.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-horde-editor_2.0.4+debian0-8_all.deb
Source Package php-horde-editor

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-horde-editor deb package:
    # sudo apt-get install php-horde-editor

Files

Path
/usr/share/doc/php-horde-editor/changelog.Debian.gz
/usr/share/doc/php-horde-editor/copyright
/usr/share/doc/php-horde-editor/package.xml.gz
/usr/share/horde/js/ckeditor
/usr/share/php/.registry/.channel.pear.horde.org/horde_editor.reg
/usr/share/php/Horde/Editor.php
/usr/share/php/Horde/Editor/Ckeditor.php
/usr/share/php/Horde/Editor/Exception.php

Changelog

2016-12-27 - Mathieu Parent <sathieu@debian.org>
php-horde-editor (2.0.4+debian0-8) unstable; urgency=medium
* Upload to unstable, now that ckeditor3 is now in sid (Closes: #825256)
* Replace d/{postinst,postrm,preinst} by d/maintscript
* Fix prior-version in maintscript
2016-06-11 - Mathieu Parent <sathieu@debian.org>
php-horde-editor (2.0.4+debian0-7) experimental; urgency=medium
* Update Standards-Version to 3.9.8, no change
* Updated d/watch to use https
2016-03-24 - Mathieu Parent <sathieu@debian.org>
php-horde-editor (2.0.4+debian0-6) experimental; urgency=medium
* Rebuild with newer pkg-php-tools for the PHP 7 transition
* gbp.conf renamed git-import-orig section to import-orig
* Upgaded to debhelper compat 9
* Standards-Version: 3.9.7
* Use secure Vcs-* fields
2014-11-18 - Mathieu Parent <sathieu@debian.org>
php-horde-editor (2.0.4+debian0-5) experimental; urgency=medium
* Pre-Depends: dpkg (>= 1.17.5) needed to use dpkg-maintscript-helper dir_to_symlink
2014-11-15 - Mathieu Parent <sathieu@debian.org>
php-horde-editor (2.0.4+debian0-4) experimental; urgency=medium
* Fix Editor (Closes: #769031):
- Symlink all the ckeditor directory instead of individual files
- Use dpkg-maintscript-helper to properly replace dir with symlink on
upgrade
- Depends on ckeditor3, ckeditor 4 is not compatible with Horde
* Release to experimental, until ckeditor3 is in the archive
2014-08-26 - Mathieu Parent <sathieu@debian.org>
php-horde-editor (2.0.4+debian0-3) unstable; urgency=medium
* Update Standards-Version, no change
* Update Vcs-Browser to use cgit instead of gitweb
2014-08-22 - Mathieu Parent <sathieu@debian.org>
php-horde-editor (2.0.4+debian0-2) unstable; urgency=medium
* Fix ckeditor symlinks (Closes: #758814)
2014-03-08 - Mathieu Parent <sathieu@debian.org>
php-horde-editor (2.0.4+debian0-1) unstable; urgency=medium
* New upstream version 2.0.4+debian0
2013-06-06 - Mathieu Parent <sathieu@debian.org>
php-horde-editor (2.0.3+debian0-2) unstable; urgency=low
* Use pristine-tar
* Automatically filter out non-DFSG files with git-import-orig
* Use pkg-php-tools normally and strip package.xml at build time
* Silence check_stripped_ckeditor
2013-04-07 - Mathieu Parent <sathieu@debian.org>
php-horde-editor (2.0.3+debian0-1) unstable; urgency=low
* New upstream version 2.0.3
* Update d/gbp.conf (debian-upstream+repack branch is for gbp only)
* ckeditor moved to subdir

See Also

Package Description
php-horde-elasticsearch_1.0.4-1_all.deb Horde ElasticSearch client
php-horde-exception_2.0.8-2ubuntu1_all.deb Horde Exception Handler
php-horde-feed_2.0.4-3ubuntu1_all.deb Horde Feed libraries
php-horde-form_2.0.18-1_all.deb Horde Form API
php-horde-gollem_3.0.12-1_all.deb Web-based file manager
php-horde-group_2.1.1-2_all.deb Horde User Groups System
php-horde-groupware_5.2.22-1_all.deb Horde Groupware
php-horde-hashtable_1.2.6-1_all.deb Horde Hash Table Interface
php-horde-history_2.3.6-3ubuntu1_all.deb API for tracking the history of an object
php-horde-http_2.1.7-1_all.deb Horde HTTP libraries
php-horde-icalendar_2.1.7-1_all.deb iCalendar API
php-horde-idna_1.1.1-1_all.deb IDNA backend normalization package
php-horde-image_2.5.2-1_all.deb Horde Image API
php-horde-imap-client_2.29.15-1_all.deb Horde IMAP Client
php-horde-imp_6.2.21-1ubuntu1_all.deb A web based webmail system
Advertisement
Advertisement